> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Make Call



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json post /api/make_call
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/make_call:
    post:
      tags:
        - make_call
      summary: Make Call
      operationId: make_call_api_make_call_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCallRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateCallRequest:
      properties:
        agent_id:
          type: integer
          title: Agent Id
        to_phone_number:
          type: string
          title: To Phone Number
        app_name:
          anyOf:
            - type: string
            - type: 'null'
          title: App Name
        extra_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra Config
        additional_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Additional Context
      type: object
      required:
        - agent_id
        - to_phone_number
      title: CreateCallRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````